VisualEditor: Shift-Right deletes characters instead of selecting in Firefox
Closed, ResolvedPublic

Description

Edit an article
Press down your keyboard's SHIFT key
While maintaining SHIFT pressed, press the RIGHT key a few times

EXPECTED: Characters are selected
ACTUALLY: Characters are deleted

Ubuntu/Firefox

Looks like https://bugzilla.wikimedia.org/show_bug.cgi?id=41062 which had been fixed in October.


Version: unspecified
Severity: normal

bzimport set Reference to bz47711.
Nicolas_Raoul created this task.Via LegacyApr 26 2013, 8:07 AM
Jdforrester-WMF added a comment.Via ConduitApr 26 2013, 5:18 PM

Confirm that this occurs in Firefox but not in Chrome.

Inez added a comment.Via ConduitApr 26 2013, 5:30 PM

Confirmed, will work on it.

gerritbot added a comment.Via ConduitApr 26 2013, 7:31 PM

Related URL: https://gerrit.wikimedia.org/r/61055 (Gerrit Change I1aff295a0958b75697c4d362e0d6095283f37fe8)

Jdforrester-WMF added a comment.Via ConduitApr 26 2013, 9:09 PM

Just for my sanity, marking as unfixed until it's merged.

gerritbot added a comment.Via ConduitApr 26 2013, 9:11 PM

https://gerrit.wikimedia.org/r/61055 (Gerrit Change I1aff295a0958b75697c4d362e0d6095283f37fe8) | change APPROVED and MERGED [by jenkins-bot]

Jdforrester-WMF added a comment.Via ConduitApr 26 2013, 9:16 PM

And /now/ it's fixed. :-)

awight added a comment.Via ConduitApr 29 2013, 6:10 AM

Still actin' crazy: firefox 20.0, linux. I hard-refreshed just in case.

In fact, I had some text highlighted and tried to use <ctrl>-<shift>-left to extend the selection. My text was deleted, plus a character or two, and then a freakin snail character appeared. I have yet to find the unicode for that. It wasn't 1F40C, OMG it was 1f4a9 I was just about to say it looked more like a turd than snail.

vivekrai added a comment.Via ConduitApr 29 2013, 6:21 AM

vivekraiiitkgp wrote:

Confirmed. It still doesn't work in Firefox 20.0. Shift+Selection Keys isn't working in normal way. When up or down keys are pressed, the text is selected for the first time, but pressing them for second time gets the selected text deleted.

awight added a comment.Via ConduitApr 29 2013, 6:27 AM

Okay, the turd was a separate bug:

  1. Edit a page with an unordered list.
  1. Delete all the text on the last line.
  1. Press the <delete key>. The bullet should be erased. Instead, it will remain and the cursor will move to the end of the previous line.
  1. down-arrow
  1. down-arrow off of the empty line.

Turd appears in the empty line.

  1. I did something else with the arrow keys, all of the document's lines were erased (not all part of the <ul>), and the undo buffer could not step backwards. Aaaa, will reproduce later.
awight added a comment.Via ConduitApr 29 2013, 6:31 AM

Sorry, comment #10 has been split off into bug 47817.

vivekrai added a comment.Via ConduitApr 29 2013, 8:12 AM

vivekraiiitkgp wrote:

It would be worthwhile to mention the bug 47795 here, with similar nature of problem.

Inez added a comment.Via ConduitApr 30 2013, 12:21 AM

This bug is currently fixed in master. It is going to be live on Wikipedia by Wednesday next week. In the meantime it is possible to test on mediawiki.org. However currently (for another 2-3 hours) VE on mediawiki.org is completly broken for FF.

Jdforrester-WMF added a comment.Via ConduitApr 30 2013, 1:54 AM

(In reply to comment #8)

Still actin' crazy: firefox 20.0, linux. I hard-refreshed just in case.

You may have hard-refreshed, but you didn't wait for the deployment train which was only three hours ago. :-) Sorry for not mentioning that it's "fixed pending deploy" (it'd be great if Bugzilla had that as a status).

Can confirm that it's now fixed in live in Firefox 20.0/Mac.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.